QLocator (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.quantel

## Interface QLocator

- All Superinterfaces:
    InterchangeObject, Locator, MediaEntity, MetadataObject
  All Known Implementing Classes:
    LocatorImpl, NetworkLocatorImpl, TextLocatorImpl

      public interface QLocator
      extends Locator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumberOfFiles()`
    `int` | `getTapeOffset()`
    `void` | `setNumberOfFiles(Integer numberOfFiles)`
    `void` | `setTapeOffset(Integer tapeOffset)`

    - ### Methods inherited from interface tv.amwa.maj.model.Locator

      `clone, getPath, setPath`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getTapeOffset

          @Int32
          int getTapeOffset()
                            throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setTapeOffset

          void setTapeOffset(@Int32
                             Integer tapeOffset)

    - #### getNumberOfFiles

          @Int32
          int getNumberOfFiles()
                               throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setNumberOfFiles

          void setNumberOfFiles(@Int32
                                Integer numberOfFiles)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.